server:
  port: 8085
spring:
  #给项目来个名字
  application:
    name: env

  datasource:
    dynamic:
      datasource:
        master:
          url: jdbc:mysql://122.112.250.26:3306/env_db?useUnicode=true&characterEncoding=UTF-8&useSSL=false&autoReconnect=true&serverTimezone=Asia/Shanghai
          username: root
          password: hm123456
          driver-class-name: com.mysql.cj.jdbc.Driver
          max-active: 5
          max-idle: 5
          min-idle: 3
          initial-size: 3
        slave:
          url: jdbc:mysql://122.112.219.87:3306/ifm?useUnicode=true&characterEncoding=UTF-8&useSSL=false&autoReconnect=true&serverTimezone=Asia/Shanghai
          username: huimv
          password: hm123456
          driver-class-name: com.mysql.cj.jdbc.Driver
          max-active: 5
          max-idle: 5
          min-idle: 3
          initial-size: 3

#        third:
#          url: jdbc:mysql://121.36.134.218:3306/device_db?useUnicode=true&characterEncoding=UTF-8&useSSL=false&autoReconnect=true&serverTimezone=Asia/Shanghai
#          username: root
#          password: hm123456
#          driver-class-name: com.mysql.cj.jdbc.Driver
#          max-active: 5
#          max-idle: 5
#          min-idle: 3
#          initial-size: 3
  jpa:
    show-sql: true
    database: mysql
    hibernate:
      ddl-auto: update
    database-platform: org.hibernate.dialect.MySQL5InnoDBDialect
    open-in-view: true

    #  redis:
#    database: 0
#    host: 119.3.84.55
#    port: 6379
#    password: hm123456
#    jedis:
#      pool:
#        max-active: 20
#        max-wait: -1
#        max-idle: 10
#        min-idle: 0
#    timeout: 5000
